Bug 245559 - devel/gitaly 12.9.2 poudriere build failure
Summary: devel/gitaly 12.9.2 poudriere build failure
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Matthias Fechner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-12 08:25 UTC by Fredrik Eriksson
Modified: 2020-04-15 21:11 UTC (History)
2 users (show)

See Also:
linimon: maintainer-feedback? (mfechner)


Attachments
poudriere build log (63.22 KB, text/plain)
2020-04-12 08:25 UTC, Fredrik Eriksson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fredrik Eriksson 2020-04-12 08:25:18 UTC
Created attachment 213319 [details]
poudriere build log

devel/gitaly-12.9.2 fails to build in my poudriere. Reason seems to be related to the google-protobuf dependency:

Resolving dependencies...
Bundler could not find compatible versions for gem "google-protobuf":
  In Gemfile:
    google-protobuf (~> 3.8.0)

    grpc (~> 1.24.0) was resolved to 1.24.0, which depends on
googleapis-common-protos-types (~> 1.0) was resolved to 1.0.5, which
depends on
        google-protobuf (~> 3.11)
gmake[2]: *** [Makefile:59: ../.ruby-bundle] Error 6


However, earlier in the log you can see that poudriere installs both versions of google-protobuf, so I'm not sure why those are not found...
Comment 1 Matthias Fechner freebsd_committer 2020-04-14 07:03:13 UTC
The update of one dependency seems to have broken gitlab.
I currently do a bisect to find the offending commit, but this takes some time.
Comment 2 Matthias Fechner freebsd_committer 2020-04-14 09:05:18 UTC
The offending commit seems to be:
Author: sunpoet <sunpoet@FreeBSD.org>
Date:   Fri Apr 10 22:24:10 2020 +0000

    Update to 1.0.5

    - Update WWW

    Changes:        https://github.com/googleapis/common-protos-ruby/blob/master/googleapis-common-protos-types/CHANGELOG.md

 devel/rubygem-googleapis-common-protos-types/Makefile  | 4 ++--
 devel/rubygem-googleapis-common-protos-types/distinfo  | 6 +++---
 devel/rubygem-googleapis-common-protos-types/pkg-descr | 3 ++-
 3 files changed, 7 insertions(+), 6 deletions(-)

Next step is now to understand what we can do here.
Comment 3 commit-hook freebsd_committer 2020-04-15 20:37:05 UTC
A commit references this bug:

Author: mfechner
Date: Wed Apr 15 20:36:07 UTC 2020
New revision: 531790
URL: https://svnweb.freebsd.org/changeset/ports/531790

Log:
  Fixed dependency problems that caused gitaly/gitlab-ce build to fail.

  PR:		245559
  Reported by:	freebsd at wb9.se

Changes:
  head/devel/gitaly/Makefile
  head/net/rubygem-gitaly/Makefile
  head/net/rubygem-grpc124/Makefile
  head/net/rubygem-grpc124/files/patch-src_ruby_ext_grpc_extconf.rb
  head/www/gitlab-ce/Makefile
Comment 4 Matthias Fechner freebsd_committer 2020-04-15 20:43:57 UTC
It should build now again.
Comment 5 commit-hook freebsd_committer 2020-04-15 21:11:08 UTC
A commit references this bug:

Author: mfechner
Date: Wed Apr 15 21:10:41 UTC 2020
New revision: 531796
URL: https://svnweb.freebsd.org/changeset/ports/531796

Log:
  Fixed dependency that caused gitlab-ce to fail to build.
  Should be part of r531790.

  PR:		245559

Changes:
  head/devel/rubygem-gitlab-labkit/Makefile